# Generated by Django 3.1.1 on 2020-10-07 11:06

import django.core.validators
from django.db import migrations, models
import django.db.models.deletion
import painless.utils.upload.path


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Cms',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('picture', models.ImageField(height_field='height_field', max_length=110, upload_to=painless.utils.upload.path.date_directory_path, validators=[django.core.validators.FileExtensionValidator(allowed_extensions=['JPG', 'JPEG', 'PNG', 'jpg', 'jpeg', 'png'])], verbose_name='تصویر', width_field='width_field')),
                ('alternate_text', models.CharField(max_length=110, validators=[django.core.validators.MaxLengthValidator(150), django.core.validators.MinLengthValidator(3)], verbose_name='توضیحات تصویر')),
                ('width_field', models.PositiveSmallIntegerField(editable=False, verbose_name='طول تصویر')),
                ('height_field', models.PositiveSmallIntegerField(editable=False, verbose_name='عرض تصویر')),
                ('full_name', models.CharField(max_length=30, verbose_name='نام و نام خانوادگی')),
                ('job', models.CharField(max_length=100, verbose_name='شغل')),
                ('phone', models.CharField(max_length=13, verbose_name='همراه')),
                ('email', models.CharField(max_length=30, verbose_name='ایمیل')),
                ('footer_txt', models.TextField(verbose_name='متن پایین صفحه')),
                ('instagram', models.URLField(blank=True, null=True, verbose_name='اینستاگرام')),
                ('telegram', models.URLField(blank=True, null=True, verbose_name='تلگرام')),
                ('about_header', models.CharField(max_length=100, verbose_name='عنوان درباره\u200cما')),
                ('about_text', models.TextField(verbose_name='توضیحات درباره\u200cما')),
                ('picture_about', models.ImageField(height_field='width_field_about', max_length=110, upload_to=painless.utils.upload.path.date_directory_path, validators=[django.core.validators.FileExtensionValidator(allowed_extensions=['JPG', 'JPEG', 'PNG', 'jpg', 'jpeg', 'png'])], verbose_name='تصویر درباره ما', width_field='height_field_about')),
                ('alternate_text_about', models.CharField(max_length=110, validators=[django.core.validators.MaxLengthValidator(150), django.core.validators.MinLengthValidator(3)], verbose_name='توضیحات تصویر درباره ما')),
                ('width_field_about', models.PositiveSmallIntegerField(editable=False, verbose_name='طول تصویر')),
                ('height_field_about', models.PositiveSmallIntegerField(editable=False, verbose_name='عرض تصویر')),
                ('picture_footer', models.ImageField(height_field='width_field_footer', max_length=110, upload_to=painless.utils.upload.path.date_directory_path, validators=[django.core.validators.FileExtensionValidator(allowed_extensions=['JPG', 'JPEG', 'PNG', 'jpg', 'jpeg', 'png'])], verbose_name='تصویر پایین صفحه', width_field='height_field_footer')),
                ('alternate_text_footer', models.CharField(max_length=110, validators=[django.core.validators.MaxLengthValidator(150), django.core.validators.MinLengthValidator(3)], verbose_name='توضیحات تصویر پایین صفحه')),
                ('width_field_footer', models.PositiveSmallIntegerField(editable=False, verbose_name='طول تصویر')),
                ('height_field_footer', models.PositiveSmallIntegerField(editable=False, verbose_name='عرض تصویر')),
            ],
            options={
                'verbose_name': 'Setting',
                'verbose_name_plural': 'Settings',
            },
        ),
        migrations.CreateModel(
            name='Criminal',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('title', models.CharField(max_length=150, unique=True, validators=[django.core.validators.MaxLengthValidator(150), django.core.validators.MinLengthValidator(3)], verbose_name='عنوان')),
                ('slug', models.SlugField(allow_unicode=True, editable=False, max_length=150, unique=True, verbose_name='نامک')),
                ('svg', models.FileField(help_text='فرمت فایل باید svg باشد', max_length=110, upload_to=painless.utils.upload.path.date_directory_path, validators=[django.core.validators.FileExtensionValidator(allowed_extensions=['svg', 'SVG'])], verbose_name='فایل (svg)')),
                ('svg_alt_text', models.CharField(max_length=110, validators=[django.core.validators.MaxLengthValidator(150), django.core.validators.MinLengthValidator(3)], verbose_name='توضیحات ایکن')),
                ('tab', models.CharField(max_length=200, unique=True, verbose_name='تب')),
                ('svg_dark', models.FileField(help_text='فرمت فایل باید svg باشد', max_length=110, upload_to=painless.utils.upload.path.date_directory_path, validators=[django.core.validators.FileExtensionValidator(allowed_extensions=['svg', 'SVG'])], verbose_name='فایل مشکی (svg)')),
                ('svg_dark_alt_text', models.CharField(max_length=110, validators=[django.core.validators.MaxLengthValidator(150), django.core.validators.MinLengthValidator(3)], verbose_name='توضیحات ایکن مشکی')),
                ('description', models.TextField(verbose_name='توضیحات')),
                ('priority', models.IntegerField(unique=True, verbose_name='ترتیب')),
            ],
            options={
                'verbose_name': 'Criminal',
                'verbose_name_plural': 'Criminals',
                'ordering': ['priority'],
            },
        ),
        migrations.CreateModel(
            name='Quote',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('title', models.CharField(max_length=100, verbose_name='عنوان')),
                ('author', models.CharField(max_length=30, verbose_name='نویسنده')),
            ],
            options={
                'verbose_name': 'quote',
                'verbose_name_plural': 'quotes',
            },
        ),
        migrations.CreateModel(
            name='Role',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('title', models.CharField(max_length=80, verbose_name='عنوان')),
            ],
            options={
                'verbose_name': 'Rule Category',
                'verbose_name_plural': 'Rules Category',
            },
        ),
        migrations.CreateModel(
            name='Sub_Role',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('title', models.CharField(max_length=30, verbose_name='عنوان')),
                ('link', models.CharField(max_length=200, verbose_name='لینک')),
                ('role', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='roles', to='cms.role', verbose_name='دسته\u200cبندی')),
            ],
            options={
                'verbose_name': 'Rule',
                'verbose_name_plural': 'Rules',
            },
        ),
    ]
